Package org.apache.tools.ant.taskdefs.optional.ejb

## Class InnerClassFilenameFilter

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.ejb.InnerClassFilenameFilter

- All Implemented Interfaces:
    `java.io.FilenameFilter`

      public class InnerClassFilenameFilter
      extends java.lang.Object
      implements java.io.FilenameFilter

  A filename filter for inner class files of a particular class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept​(java.io.File dir, java.lang.String filename)` | Check if the file name passes the filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### accept

          public boolean accept​(java.io.File dir,
                                java.lang.String filename)

      Check if the file name passes the filter.
      Specified by:
        `accept` in interface `java.io.FilenameFilter`
      Parameters:
        `dir` - not used.
        `filename` - the filename to filter on.
      Returns:
        true if the filename is an inner class of the base class.